/***********************
* Adobe Edge Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
//get the id of the clicked item         // insert code to be run when the composition is fully loaded here

         var headline;
         var headlinetxt = sym.getSymbol("styleMc").$("headlineTxt").css("pointer-events","none");
         var stand;
         var standtxt = sym.getSymbol("styleMc").$("standTxt").css("pointer-events","none");
         var source;
         var sourcetxt = sym.getSymbol("styleMc").$("sourceTxt").css("pointer-events","none");
         var menuIcon0;
         var menuIcon0txt = sym.getSymbol("styleMc").getSymbol("menuBtn0").$("txt").css("pointer-events","none");
         var menuIcon1;
         var menuIcon1txt = sym.getSymbol("styleMc").getSymbol("menuBtn1").$("txt").css("pointer-events","none");
         var menuIcon2;
         var menuIcon2txt = sym.getSymbol("styleMc").getSymbol("menuBtn2").$("txt").css("pointer-events","none");
         var menuTxt0;
         var menuTxt0txt = sym.getSymbol("styleMc").$("menuTxt0").css("pointer-events","none");
         var menuTxt1;
         var menuTxt1txt = sym.getSymbol("styleMc").$("menuTxt1").css("pointer-events","none");
         var menuTxt2;
         var menuTxt2txt = sym.getSymbol("styleMc").$("menuTxt2").css("pointer-events","none");
         var txt1
         var txt1txt = sym.getSymbol("carMc").$("txt1").css("pointer-events","none");
         var txt2;
         var txt2txt = sym.getSymbol("carMc").$("txt2").css("pointer-events","none");
         var txt3;
         var txt3txt = sym.getSymbol("carMc").$("txt3").css("pointer-events","none");
         var txt4;
         var txt4txt = sym.getSymbol("intMc").$("txt4").css("pointer-events","none");
         var txt5;
         var txt5txt = sym.getSymbol("intMc").$("txt5").css("pointer-events","none");
         var txt6;
         var txt6txt = sym.getSymbol("intMc").$("txt6").css("pointer-events","none");
         var txt7;
         var txt7txt = sym.getSymbol("carMc").$("txt7").css("pointer-events","none");
         var txt8;
         var txt8txt = sym.$("txt8").css("pointer-events","none");
         var txt9;
         var txt9txt = sym.$("txt9").css("pointer-events","none");
         var txt10;
         var txt10txt = sym.$("txt10").css("pointer-events","none");
         var txt11;
         var txt11txt = sym.$("txt11").css("pointer-events","none");
         var txt12;
         var txt12txt = sym.$("txt12").css("pointer-events","none");
         var txt13;
         var txt13txt = sym.$("txt13").css("pointer-events","none");
         var txt14;
         var txt14txt = sym.$("txt14").css("pointer-events","none");
         var txt15;
         var txt15txt = sym.$("txt15").css("pointer-events","none");
         var txt16;
         var txt16txt = sym.$("txt16").css("pointer-events","none");
         var txt17;
         var txt17txt = sym.$("txt17").css("pointer-events","none");
         var txt18;
         var txt18txt = sym.$("txt18").css("pointer-events","none");
         var txt19;
         var txt19txt = sym.$("txt19").css("pointer-events","none");
         var txt20;
         var txt20txt = sym.$("txt20").css("pointer-events","none");
         var txt21;
         var txt21txt = sym.$("txt21").css("pointer-events","none");
         var txt22;
         var txt22txt = sym.$("txt22").css("pointer-events","none");
         var txt23;
         var txt23txt = sym.$("txt23").css("pointer-events","none");
         var txt24;
         var txt24txt = sym.$("txt24").css("pointer-events","none");
         var txt25;
         var txt25txt = sym.$("txt25").css("pointer-events","none");
         var txt26;
         var txt26txt = sym.$("txt26").css("pointer-events","none");
         var txt27;
         var txt27txt = sym.$("txt27").css("pointer-events","none");
         var txt28;
         var txt28txt = sym.$("txt28").css("pointer-events","none");
         var txt29;
         var txt29txt = sym.$("txt29").css("pointer-events","none");
         var txt30;
         var txt30txt = sym.$("txt30").css("pointer-events","none");
         var txt31;
         var txt31txt = sym.$("txt31").css("pointer-events","none");
         var txt32;
         var txt32txt = sym.$("txt32").css("pointer-events","none");
         var txt33;
         var txt33txt = sym.$("txt33").css("pointer-events","none");
         var txt34;
         var txt34txt = sym.$("txt34").css("pointer-events","none");
         var txt35;
         var txt35txt = sym.$("txt35").css("pointer-events","none");
         var txt36;
         var txt36txt = sym.$("txt36").css("pointer-events","none");
         var txt37;
         var txt37txt = sym.$("txt37").css("pointer-events","none");
         var txt38;
         var txt38txt = sym.$("txt38").css("pointer-events","none");
         var txt39;
         var txt39txt = sym.$("txt39").css("pointer-events","none");
         var txt40;
         var txt40txt = sym.$("txt40").css("pointer-events","none");
         var txt41;
         var txt41txt = sym.$("txt41").css("pointer-events","none");


           //AJAX retrieves data from xml source specified in url, maps xml variable to DOM object variable
           $.ajax({	
         	type: "GET",
         	url: "GN30392.xml",
         	dataType: "xml",
         	success: function(xml) {
					headline = $(xml).find('headline').text();
         		headlinetxt.html(headline);
         		stand = $(xml).find('stand').text();
         		standtxt.html(stand);
         		source = $(xml).find('source').text();
         		sourcetxt.html(source);
         		menuIcon0 = $(xml).find('menuIcon0').text();
         		menuIcon0txt.html(menuIcon0);
         		menuIcon1 = $(xml).find('menuIcon1').text();
         		menuIcon1txt.html(menuIcon1);  
         		menuIcon2 = $(xml).find('menuIcon2').text();
         		menuIcon2txt.html(menuIcon2);
         		menuTxt0 = $(xml).find('menuTxt0').text();
         		menuTxt0txt.html(menuTxt0);  
         		menuTxt1 = $(xml).find('menuTxt1').text();
         		menuTxt1txt.html(menuTxt1);  
         		menuTxt2 = $(xml).find('menuTxt2').text();
         		menuTxt2txt.html(menuTxt2);
         		txt1 = $(xml).find('txt1').text();
         		txt1txt.html(txt1);
         		txt2 = $(xml).find('txt2').text();
         		txt2txt.html(txt2);
         		txt3 = $(xml).find('txt3').text();
         		txt3txt.html(txt3);
         		txt4 = $(xml).find('txt4').text();
         		txt4txt.html(txt4)
         		txt5 = $(xml).find('txt5').text();
         		txt5txt.html(txt5);
         		txt6 = $(xml).find('txt6').text();
         		txt6txt.html(txt6);
         		txt7 = $(xml).find('txt7').text();
         		txt7txt.html(txt7);
         		txt8 = $(xml).find('txt8').text();
         		txt8txt.html(txt8);
         		txt9 = $(xml).find('txt9').text();
         		txt9txt.html(txt9);
         		txt10 = $(xml).find('txt10').text();
         		txt10txt.html(txt10);
         		txt11 = $(xml).find('txt11').text();
         		txt11txt.html(txt11);
         		txt12 = $(xml).find('txt12').text();
         		txt12txt.html(txt12);
         		txt13 = $(xml).find('txt13').text();
         		txt13txt.html(txt13);
         		txt14 = $(xml).find('txt14').text();
         		txt14txt.html(txt14);
         		txt15 = $(xml).find('txt15').text();
         		txt15txt.html(txt15);
         		txt16 = $(xml).find('txt16').text();
         		txt16txt.html(txt16);
         		txt17 = $(xml).find('txt17').text();
         		txt17txt.html(txt17);
         		txt18 = $(xml).find('txt18').text();
         		txt18txt.html(txt18);
         		txt19 = $(xml).find('txt19').text();
         		txt19txt.html(txt19);
         		txt20 = $(xml).find('txt20').text();
         		txt20txt.html(txt20);
         		txt21 = $(xml).find('txt21').text();
         		txt21txt.html(txt21);
         		txt22 = $(xml).find('txt22').text();
         		txt22txt.html(txt22);
         		txt23 = $(xml).find('txt23').text();
         		txt23txt.html(txt23);
         		txt24 = $(xml).find('txt24').text();
         		txt24txt.html(txt24);
         		txt25 = $(xml).find('txt25').text();
         		txt25txt.html(txt25);
         		txt26 = $(xml).find('txt26').text();
         		txt26txt.html(txt26);
         		txt27 = $(xml).find('txt27').text();
         		txt27txt.html(txt27);
         		txt28 = $(xml).find('txt28').text();
         		txt28txt.html(txt28);
         		txt29 = $(xml).find('txt29').text();
         		txt29txt.html(txt29);
         		txt30 = $(xml).find('txt30').text();
         		txt30txt.html(txt30);   
         		txt31 = $(xml).find('txt31').text();
         		txt31txt.html(txt31);   
         		txt32 = $(xml).find('txt32').text();
         		txt32txt.html(txt32);   
         		txt33 = $(xml).find('txt33').text();
         		txt33txt.html(txt33);    
         		txt34 = $(xml).find('txt34').text();
         		txt34txt.html(txt34);
         		txt35 = $(xml).find('txt35').text();
         		txt35txt.html(txt35);   
         		txt36 = $(xml).find('txt36').text();
         		txt36txt.html(txt36);   
         		txt37 = $(xml).find('txt37').text();
         		txt37txt.html(txt37);   
         		txt38 = $(xml).find('txt38').text();
         		txt38txt.html(txt38);   
         		txt39 = $(xml).find('txt39').text();
         		txt39txt.html(txt39);   
         		txt40 = $(xml).find('txt40').text();
         		txt40txt.html(txt40);   
         		txt41 = $(xml).find('txt41').text();
         		txt41txt.html(txt41);                 
         		}
         	}); // END XML


// START ANIMATION
	// play the timeline from the given position (ms or label)
	sym.getSymbol("carMc").play(0);
	sym.$("intMc").fadeOut(0);
	sym.$("videoPanel").fadeOut(0);

var vid = $("<video width='800' height='450' id='vid1'  controls>" +
   "<source src='media/merc.webm' type='video/webm' />" +
   "<source src='media/merc.ogg' type='video/ogg' />" +
   "<source src='media/merc.mp4' type='video/mp4' />" +
   "This browser is not compatible with HTML 5" + "</video>");

// stage symbol lookup, and append the above vid object to it;
// in other words, get the div called 'videobox' and attach the video control to it;
sym.getSymbol("videoPanel").$("video").append(vid);
				//sym.$("vidBox").append(vid);

// STOP ELEMENTS INTERACTING WITH MOUSE
	sym.$("handMc").css("pointer-events","none");

// MAKE ELEMENTS INVISIBLE
	sym.$("handMc").animate({opacity: 0}, 0);

// MOVE HAND

	sym.$("handMc").delay(2000).animate ({opacity:1, left:740, top:20}, 2000, 'easeOutCirc');

// MENU BUTTONS --------------------------------------------	
         menuArray = []; //the array that will hold references to the buttons.

         for (var h = 0; h < 3; h++){
         	 var menuBtnSymbols = sym.getSymbol("styleMc").getSymbol("menuBtn" +h); // Create an instance element of a symbol as a child of the given parent element
         	 menuBtnSymbols.setVariable("menuId", h); //set the value of a Symbol variable
         	 menuArray.push(menuBtnSymbols); //push it into the array
         }

         $.each(menuArray, function( count, menuInTheArray ){ //a 'for each' loop through the newly populated array
         	 var menuBtnItem = $(menuInTheArray); //create jQuery reference to the item
         	 var menuBtnElement = menuInTheArray.getSymbolElement(); //create a jQuery reference to the DIV element inside the symbol
         	 //now you can bind interactivity to the menu items' DIVs
         	 menuBtnElement.bind ("click", {menuId:count}, menuBtnClick);
         	 menuBtnElement.bind ("mouseover", {menuId:count}, menuShow);
         	 menuBtnElement.bind ("mouseout", {menuId:count}, menuHide);
         	})

	function resetmenu(){
		for (var h=0; h<menuArray.length; h++){
			var resetmenu_arr = ["menuTxt0","menuTxt1","menuTxt2"];
			$.each(resetmenu_arr, function(index, value) {
			sym.getSymbol("styleMc").$(value).fadeOut(0);
			});
         menuArray[h].$("btnClick").fadeOut(0);
         menuArray[h].$("btnOver").fadeOut(0);
		}
	}
	resetmenu();

	var carIn = true;

	function menuBtnClick (e){
		resetmenu(); //set them all back to normal state
		var menuMenu_id = (e.data.menuId); //get the id of the clicked item
		sym.getSymbol("styleMc").getSymbol("menuBtn" + menuMenu_id).$("btnClick").fadeIn(0);
		sym.getSymbol("styleMc").$("menuTxt" + menuMenu_id).fadeIn(0);
		if (menuMenu_id==0) {
		sym.$("carMc").fadeIn(0);
		sym.$("intMc").fadeOut(500);
		sym.$("videoPanel").fadeOut(500);
		document.getElementById('vid1').pause();
		sym.getSymbol("carMc").play(1);
		sym.$("road").fadeIn(500);
		}
		if (menuMenu_id==1) {
		sym.$("road").delay(800).fadeOut(500);
		sym.getSymbol("carMc").play(3500);
		sym.$("intMc").delay(800).fadeIn(1000);
		sym.$("carMc").delay(1500).fadeOut(0);
		sym.$("videoPanel").fadeOut(500);
		document.getElementById('vid1').pause();
		}
		if (menuMenu_id==2) {
		sym.$("road").delay(800).fadeOut(500);
		sym.getSymbol("carMc").play(3500);
		sym.$("intMc").fadeOut(500);
		sym.$("carMc").delay(1500).fadeOut(0);
		sym.$("videoPanel").delay(800).fadeIn(1000);
		document.getElementById('vid1').play();
		}
	}
	function menuShow (e){
         	var menuMenu_id = (e.data.menuId); //get the id of the over button
         	sym.$('handMc').hide();
				sym.getSymbol("styleMc").getSymbol("menuBtn" + menuMenu_id).$("btnOver").fadeIn(0);
				sym.getSymbol("styleMc").$("menuTxt" + menuMenu_id).fadeIn(0);
	}
	function menuHide (e){
         	var menuMenu_id = (e.data.menuId); //get the id of the out button
				sym.getSymbol("styleMc").getSymbol("menuBtn" + menuMenu_id).$("btnOver").fadeOut(0);
				sym.getSymbol("styleMc").$("menuTxt" + menuMenu_id).fadeOut(0);
	}

// MAKE MENU 0 VISIBLE
	sym.getSymbol("styleMc").getSymbol("menuBtn0").$("btnClick").fadeIn(0);











         	});//Edge binding end	
		
		// VIDEO BTN 1 =========================================================
         	
			
         	
         		
         	
			
			
         	// VIDEO BTN 2 =========================================================
         	
         	
         	
         		
         	
         	


   })("stage");
   //Edge symbol end:'stage'

//=========================================================
   //Edge symbol: 'handMc'
   (function(symbolName) {

   })("handMc");
   //Edge symbol end:'handMc'

   //=========================================================
   
   //Edge symbol: 'styleMc'
   (function(symbolName) {   
   
   })("styleMc");
   //Edge symbol end:'styleMc'

   //=========================================================
   
   //Edge symbol: 'menuBtn'
   (function(symbolName) {   
   
   })("menuBtn");
   //Edge symbol end:'menuBtn'

   //=========================================================
   
   //Edge symbol: 'carMc'
   (function(symbolName) {   
   
      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 3000, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

      Symbol.bindTriggerAction(compId, symbolName, "Default Timeline", 0, function(sym, e) {
         sym.stop();

      });
      //Edge binding end

   })("carMc");
   //Edge symbol end:'carMc'

   //=========================================================
   
   //Edge symbol: 'wheelMc'
   (function(symbolName) {   
   
   })("wheelMc");
   //Edge symbol end:'wheelMc'

   //=========================================================
   
   //Edge symbol: 'intMc'
   (function(symbolName) {   
   
   })("intMc");
   //Edge symbol end:'intMc'

   //=========================================================
   
   //Edge symbol: 'videoPanel_1'
   (function(symbolName) {   
   
   })("videoPanel_1");
   //Edge symbol end:'videoPanel_1'

   //=========================================================
   
   //Edge symbol: 'vidBox'
   (function(symbolName) {   
   
   })("vidBox");
   //Edge symbol end:'vidBox'

   //=========================================================
   
   //Edge symbol: 'videoPanel'
   (function(symbolName) {   
   
   })("videoPanel");
   //Edge symbol end:'videoPanel'

})(jQuery, AdobeEdge, "GraphicNews30392");